import request from '@/utils/request'

// 查询资产调拨明细列表
export function listAllocationDetail(query) {
  return request({
    url: '/change/allocationDetail/list',
    method: 'get',
    params: query
  })
}

// 查询资产调拨明细详细
export function getAllocationDetail(id) {
  return request({
    url: '/change/allocationDetail/' + id,
    method: 'get'
  })
}

// 新增资产调拨明细
export function addAllocationDetail(data) {
  return request({
    url: '/change/allocationDetail',
    method: 'post',
    data: data
  })
}

// 修改资产调拨明细
export function updateAllocationDetail(data) {
  return request({
    url: '/change/allocationDetail',
    method: 'put',
    data: data
  })
}

// 删除资产调拨明细
export function delAllocationDetail(id) {
  return request({
    url: '/change/allocationDetail/' + id,
    method: 'delete'
  })
}
